.s-image-box,
.s-image-box * {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.s-image-box {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .8);
    z-index: 9999;
    padding-top: 30px;
    padding-bottom: 30px;
    cursor: pointer;
    text-align: center;
}
.s-image-box.s-image-box-original-width {
    overflow-x: auto;
}
.s-image-box.s-image-box-original-height {
    overflow-y: auto;
}
.s-image-box-image {
    max-width: 100%;
    max-height: 100%;
    display: none;
    vertical-align: middle;
    cursor: default;
}
.s-image-box-image.visible {
    display: inline-block;
}
.s-image-box.s-image-box-original-height .s-image-box-image {
    max-height: none;
}
.s-image-box.s-image-box-original-width .s-image-box-image {
    max-width: none;
}

.s-image-box-close-btn {
    position: fixed;
    top: 15px;
    right: 15px;
    cursor: pointer;
}
.s-image-box-original-height .s-image-box-close-btn {
    right: 30px;
}

.s-image-box-close-btn:after {
    content: '✖';
    font-size: 35px;
    color: #fff;
}

.s-image-box-loading {
    color: #fff;
    display: block;
}
.s-image-box-loading.hidden {
    display: none;
}

.s-image-box-error {
    color: #fff;
    margin-top: 100px;
    display: none;
}
.s-image-box-error.visible {
    display: block;
}

/*tools*/

.s-image-box-noscroll {
    overflow: hidden;
    position: relative;
}

/*animations*/

/*scale*/
.s-image-box-anim-scale {
    -webkit-animation-name: animScale;
    animation-name: animScale;
    -webkit-animation-duration: 0.5s;
    animation-duration: 0.5s;
}

@-webkit-keyframes animScale {
    0% { opacity: 0; -webkit-transform: translate3d(0,40px,0) scale3d(0.1,0.6,1); }
    100% { opacity: 1; -webkit-transform: translate3d(0,0,0) scale3d(1,1,1); }
}

@keyframes animScale {
    0% { opacity: 0; -webkit-transform: translate3d(0,40px,0) scale3d(0.1,0.6,1); transform: translate3d(0,40px,0) scale3d(0.1,0.6,1); }
    100% { opacity: 1; -webkit-transform: translate3d(0,0,0) scale3d(1,1,1); transform: translate3d(0,0,0) scale3d(1,1,1); }
}

/*fadeIn*/
.s-image-box-anim-fadeIn {
    -webkit-animation-name: fadeIn;
    animation-name: fadeIn;
    -webkit-animation-duration: .8s;
    animation-duration: .8s;
}

@-webkit-keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

/*zoomIn*/
.s-image-box-anim-zoomIn {
    -webkit-animation-name: zoomIn;
    animation-name: zoomIn;
    -webkit-animation-duration: .8s;
    animation-duration: .8s;
}

@-webkit-keyframes zoomIn {
    0% {
        opacity: 0;
        -webkit-transform: scale3d(.3, .3, .3);
        transform: scale3d(.3, .3, .3);
    }
    50% {
        opacity: 1;
    }
}

@keyframes zoomIn {
    0% {
        opacity: 0;
        -webkit-transform: scale3d(.3, .3, .3);
        transform: scale3d(.3, .3, .3);
    }
    50% {
        opacity: 1;
    }
}

/*slideInDown*/
.s-image-box-anim-slideInDown {
    -webkit-animation-name: slideInDown;
    animation-name: slideInDown;
    -webkit-animation-duration: .5s;
    animation-duration: .5s;
}


@-webkit-keyframes slideInDown {
    0% {
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
        visibility: visible;
    }
    100% {
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
}

@keyframes slideInDown {
    0% {
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
        visibility: visible;
    }
    100% {
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
}

